Subject: Re: bug#8749: mkdir: feature request --reference

From: Shaun Jackman <[email-masked]>
Date: Tue, 31 May 2011 13:38:06 -0700

On Tue, 2011-05-31 at 13:06 -0700, Paul Eggert wrote:
> On 05/31/11 11:12, Shaun Jackman wrote:
> 
> > My use case is working in a directory shared amongst a group of users.
> > My umask is 022. I run
> > mkdir -pm775 project/subproject
> 
> You're typing stuff like that by hand?  I'd expect that sort of
> thing to be in a script.  Either way, you can do this instead:
> 
> (umask g+w; mkdir -p project/subproject)
> 
> This is portable and doesn't require any changes to mkdir.

Hi Paul,

I'm using an alias so that a directory is created with the same
permissions as its parent:
alias mkdir='mkdir -m $(stat -c%a .)'

By hand I'm typing
mkdir -p project/subproject

Your umask suggestion is good. I hadn't thought of changing the umask in
a subshell.

Cheers,
Shaun